Subject: Re: [Ace] Home Automation Use Case

From: Stefanie Gerdes <[email-masked]>
Date: Mon, 05 Jan 2015 14:32:54 +0100

Hi everyone,

I wish you all a happy new year!

On 12/06/2014 01:12 PM, Hannes Tschofenig wrote:
> I read through the home automation case and I have a few remarks.
>
>
> In Section 2.2.2. "Seamless Authorization" you write:
>
> "
>     Jane buys a new light bulb for the corridor and integrates it into
>     the home network (how she does that is not in scope).  George is not
>     at home, but Jane wants him to be able to control the new device with
>     his smart phone without the need for additional administration
>     effort.
> "
>
> Could you be a bit more specific about what is out of scope? I could
> imagine that the way how Jane configures access control policies when
> she integrates the light bulb into her home is quite similar to the way
> how she would do that for George.
>
> I am also wondering what you mean by "Jane wants him [George] to be able
> to control the new device with his smart phone without the need for
> additional administration effort.". I am sure it again requires some
> configuration. It might not require any effort for George but someone
> has to do that since otherwise how should the authorization server know
> that it has to grant permissions to George to turn the light on or off.
>
> In Section 2.2.3. you describe the case for remotely letting in a
> visitor. Would it be possible to add a scenario that is less
> sophisticated since this scenario requires some form of messaging
> infrastructure to exist.

>
> Here is what I have in mind:
>
> -----
>
> Jane and George have equipped their home with Internet connected door-locks.
>
> Joe, a friend of George, frequently visits them and they would like to
> give them access to their home. Once, when Joe was at their home George
> uses his smart phone to create a digital access token. He
> transfers that access token to Joe's phone using short range radio
> communication technology. The token allows Joe to open the door.
>
> Jane and George know that they can revoke access at any time and are
> also able to modify the permissions with that access token. Joe is also
> not able to use the obtained access token to mint new access tokens to
> grant his friends to gain access to the house of Jane and George.
>
> -----
>

I don't really understand why we should take the remote access out of 
this use case. It would be a very severe limitation if authorization 
policies for the constrained devices cannot be configured remotely.

Best regards,
Steffi

---

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 05 Jan 2015 14:38:11 +0100

Hi Steffi,

happy new year to you as well.

My text suggestion was for an additional exchange that passes
authorization credentials to another person in a f2f fashion. I thought
that this could be useful since the remote version requires a lot of
other infrastructure to exist and raised the bar for building something
interoperable.

Ciao
Hannes

On 01/05/2015 02:32 PM, Stefanie Gerdes wrote:
> _______________________________________________
> Ace mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ace

---

From: sandeep kiran p <[email-masked]>
Date: Sun, 11 Jan 2015 16:51:43 +0530

Hi,

Can the following also be considered as a use case?

"
The owners of the automated home want to be intimated of any violations of
the access control policies. Say the automation system detects a person in
the house when the owner has locked down everything and is on a vacation.
The system should then immediately intimate the owners about the breach.
"

Thanks
Sandeep

On Mon, Jan 5, 2015 at 7:08 PM, Hannes Tschofenig <[email-masked]
> wrote: